Loading...
Searching...
No Matches
denum.c File Reference

Functions for Enum Types. More...

`#include "ncdispatch.h"`
Include dependency graph for denum.c:

Go to the source code of this file.

## Functions

Enum Types
Functions to create and learn about enum types.
int | nc_def_enum (int ncid, nc_type base_typeid, const char *name, nc_type *typeidp)
| Create an enum type.
int | nc_inq_enum (int ncid, nc_type xtype, char *name, nc_type *base_nc_typep, size_t *base_sizep, size_t *num_membersp)
| Learn about a user-define enumeration type.
int | nc_inq_enum_ident (int ncid, nc_type xtype, long long value, char *identifier)
| Get the name which is associated with an enum member value.
int | nc_inq_enum_member (int ncid, nc_type xtype, int idx, char *name, void *value)
| Learn about a about a member of an enum type.
int | nc_insert_enum (int ncid, nc_type xtype, const char *name, const void *value)
| Insert a named member into a enum type.

## Detailed Description

Functions for Enum Types.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file denum.c.